Skip to main content
DELETE
/
v1
/
perps
/
stop_order
Remove Stop Order
curl --request DELETE \
  --url https://api.ondoperps.xyz/v1/perps/stop_order \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": {
    "market": "AAPL-USD.P",
    "positionDirection": "long",
    "stopLoss": null,
    "takeProfit": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string
required

Perps market

Example:

"AAPL-USD.P"

type
enum<string>

The type of stop order to remove. Either "stopLoss" or "takeProfit". If not set, removes both stop loss and take profit orders.

Available options:
stopLoss,
takeProfit
Example:

"stopLoss"

Response

Remaining stop orders for the market after removal

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object